/* Programma che stampa che stampi un calendario mensile, dopo aver chiesto all''utente di specificare il nome del mese e il giorno della
settimana in cui comincia il mese. */

#include <stdio.h>
#define GIORNI_IN_SETTIMANA 7

int main( void ) {

  int mese, giorno_inizio, giorni_in_mese, pos;
  int i;

  printf( "Inserisci il numero del mese (1 = gennaio, ..., 12 = dicembre): " );
  scanf( "%d", &mese );

  printf( "Inserisci il giorno di inizio mese (1 = lunedi, ..., 7 = domenica): " );
  scanf( "%d", &giorno_inizio );

  switch( mese ) {

    case 2:
      giorni_in_mese = 28;
      break;

    case 4: case 6: case 9: case 11:
      giorni_in_mese = 30;
      break;

    default:
      giorni_in_mese = 31;

  }


  printf( " L  M  M  G  V  S  D\n" );

  for ( i = 1; i < giorno_inizio; i++ )
    printf( "   " );

  for ( i = 1, pos = giorno_inizio; i <= giorni_in_mese; i++, pos++ ) {
    printf( "%2d ", i );
    if ( pos % GIORNI_IN_SETTIMANA == 0)
      printf( "\n" );
  }

  printf( "\n" );
  return 0;

}
